# Tag Shipments Once you've [created the tags](/apis/shipengine/docs/reference/create-tag) you wish to use, you can add those tags to shipments so you can more easily [query those shipments](/apis/shipengine/docs/reference/list-shipments) later. ## Requirements * You'll need the `shipment_id` of the shipment you wish to tag. * You'll need the tag value of the tag you are adding to the shipment. > **TIP:** ### New Tags If the tag doesn't exist, we will create it for you. You can also [create tags](/apis/shipengine/docs/reference/create-tag) in advance manually. ## Example Request & Response **POST /v1/shipments/:shipment_id/tags/:tag_name** ```http POST /v1/shipments/se-2102034/tags/east_warehouse HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` **Response** ```json { "shipment_id": "se-2102034", "tag": { "name": "east_warehouse" } } ```